Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tAccumulator

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tAccumulator

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tAccumulator

extends tSystem

Nested Class Summary
`static class` | `tAccumulator.tOutput`

Field Summary
`static int` | `kNumSystems`
`int` | `m_SystemIndex`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tAccumulator(int sys_index)`

Method Summary
`protected void` | `finalize()`
`int` | `getSystemIndex()`
`int` | `readCenter()`
`int` | `readDeadband()`
`long` | `readOutput_Count()`
`long` | `readOutput_Value()`
`tAccumulator.tOutput` | `readOutput()`
`void` | `strobeReset()`
`void` | `writeCenter(int value)`
`void` | `writeDeadband(int value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### m_SystemIndex

    public final int m_SystemIndex

Constructor Detail

### tAccumulator

    public tAccumulator(int sys_index)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### getSystemIndex

    public int getSystemIndex()

### readOutput

    public tAccumulator.tOutput readOutput()

### readOutput_Value

    public long readOutput_Value()

### readOutput_Count

    public long readOutput_Count()

### writeCenter

    public void writeCenter(int value)

### readCenter

    public int readCenter()

### writeDeadband

    public void writeDeadband(int value)

### readDeadband

    public int readDeadband()

### strobeReset

    public void strobeReset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"